{----------------------------------------------------------------------------
|
| Module: AddMemFm.Pas
|
| Description: Form to add a field for the ClassGen wizard.
|
| History:       , 1998. MB first version.
|
|---------------------------------------------------------------------------}
unit AddFldFm;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Mask;

type
  TAddFieldForm = class(TForm)
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    FieldNameEdit: TEdit;
    FieldNameLbl: TLabel;
    FieldTypeLbl: TLabel;
    FieldTypeCB: TComboBox;
    StringSizeLbl: TLabel;
    StringSizeEdit: TMaskEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AddFieldForm: TAddFieldForm;

implementation

{$R *.DFM}

uses
    OdbField; { for oftXXXX }


procedure TAddFieldForm.FormCreate(Sender: TObject);
begin
    FieldTypeCB.ItemIndex := Ord(oftString);
end;

procedure TAddFieldForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
var
    StringSize : Integer;
begin
    if (ModalResult = mrOk) then
    begin
       if (FieldNameEdit.Text = '') then
       begin
            CanClose := False;
            MessageDlg( 'The field must have a name.', mtError, [mbOk], 0);
            Exit;
       end;

       if (FieldTypeCB.ItemIndex = Ord(oftString)) then
       begin
          if (StringSizeEdit.Text = '') then
          begin
              CanClose := False;
              MessageDlg( 'A size must be specified for a string field.',
                           mtError, [mbOk], 0);
              Exit;
          end;

          StringSize := StrToInt(StringSizeEdit.Text);
          if (StringSize < 2) or (StringSize > 256) then
          begin
              CanClose := False;
              MessageDlg( 'String size not valid (2-256). Remember, the string'#13 +
                          'size includes the length byte.',
                           mtError, [mbOk], 0);
              Exit;
          end;

       end;
    end;
end;



end.
